Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class Rfc822MessageDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.DocumentDefinition
                  oracle.ifs.protocols.email.beans.Rfc822MessageDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Rfc822MessageDefinition

extends DocumentDefinition

The Rfc822MessageDefinition class is used construct a Rfc822Message object.

See Also:
  Serialized Form
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`Rfc822MessageDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`Rfc822MessageDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `createBodyPartReferenceAttribute()` Turns the body part tree into a serialized object This should be called immediatly before calling createPublicObject with this definition.
`BodyPart` | `getBodyPart()` Gets the root body part.
`void` | `setContentObjectDefinition(ContentObjectDefinition cod)` Sets the ContentObjectDefinition of the document that will be used to create/update the content object associated with this document.
`void` | `setContentStream(java.io.InputStream is)` Sets the content InputStream from which the document will be loaded/created.
`void` | `setRootBodyPart(BodyPart rbp)` Sets the root body part.
`void` | `setSpamFlags(java.util.Dictionary spamFlagTbl)` Sets the Spam Flags attribute This is a convinience function to translate from a Dictionary to a String Array.

Methods inherited from class oracle.ifs.beans.DocumentDefinition
`getCharacterSet, getContent, getContentObjectDefinition, getContentPath, getContentReader, getContentStream, getFormat, getLanguage, getMedia, getNextLifecyclePolicyEntryValue, getOrCreateContentObjectDefinition, getReferringLibraryObject, getReferringLibraryObjectValue, getSharedContentObject, getSharedContentObjectValue, isContentSpecified, prepareForDefinitionObject, removeContentSpecifications, setCharacterSet, setContent, setContentBfileReference, setContentPath, setContentReader, setEmptyContent, setFormat, setLanguage, setMedia, setNextLifecyclePolicyEntryValue, setNullContent, setSharedContentObject, setSharedContentObjectValue, toDocumentDefinition, toDocumentDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rfc822MessageDefinition

    public Rfc822MessageDefinition(LibrarySessionInterface session)
                            throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be Rfc822Message.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### Rfc822MessageDefinition

    public Rfc822MessageDefinition(LibrarySessionInterface session,
                                   java.lang.String className)
                            throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setSpamFlags

    public void setSpamFlags(java.util.Dictionary spamFlagTbl)
                      throws IfsException

  Description copied from class: `Rfc822MessageDefinition`
  Sets the Spam Flags attribute This is a convinience function to translate from a Dictionary to a String Array.

  Parameters:
    `spamFlagTbl` -
  Throws:
    `IfsException`
  (Published)

### setRootBodyPart

    public void setRootBodyPart(BodyPart rbp)

  Description copied from class: `Rfc822MessageDefinition`
  Sets the root body part. This is the body part that contains the entire message.

  Parameters:
    `rbp` - root body part
  (Published)

### getBodyPart

    public BodyPart getBodyPart()

  Description copied from class: `Rfc822MessageDefinition`
  Gets the root body part. This is the body part that contains the entire message.

  Returns:
    root body part
  (Published)

### createBodyPartReferenceAttribute

    public void createBodyPartReferenceAttribute()
                                          throws IfsException

  Description copied from class: `Rfc822MessageDefinition`
  Turns the body part tree into a serialized object This should be called immediatly before calling createPublicObject with this definition.

  Throws:
    `IfsException`
  (Published)

### setContentStream

    public void setContentStream(java.io.InputStream is)
                          throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the content InputStream from which the document will be loaded/created. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Overrides:
    `setContentStream` in class `DocumentDefinition`
  Parameters:
    `is` - an InputStream from which content will be loaded/created.
  Throws:
    `IfsException` - if operation fails.

### setContentObjectDefinition

    public void setContentObjectDefinition(ContentObjectDefinition cod)
                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the ContentObjectDefinition of the document that will be used to create/update the content object associated with this document. Most content convenience methods on DocumentDefinition will allocate a ContentObjectDefinition. Calling this method will replace any previously allocated definition.

  Overrides:
    `setContentObjectDefinition` in class `DocumentDefinition`
  Parameters:
    `cod` - a ContentObjectDefinition which contains the content to be loaded into the new document.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD